TEMPLATE = app
TARGET = Applet.bin
CONFIG += qdbus
QT += core \
    gui
HEADERS += Bubble.h \
    FirstRunWizard.h \
    HideButton.h \
    Settings.h \
    GenerateLog.h \
    Applet.h \
    Monitor.h \
    HelpDialog.h
SOURCES += Bubble.cpp \
    Settings.cpp \
    GenerateLog.cpp \
    FirstRunWizard.cpp \
    HideButton.cpp \
    Applet.cpp \
    main.cpp \
    Monitor.cpp \
    HelpDialog.cpp \
    ../../Logger/Logger.cpp
FORMS += About.ui \
    Bubble.ui \
    Settings.ui \
    Monitor.ui \
    HelpDialog.ui
INCLUDEPATH += ../ \
    .
applet.files = Applet
applet.path = /opt/ubudsl/bin
RESOURCES += Resources.qrc
TRANSLATIONS += translations/UbuDSL_Applet.ts \
    translations/UbuDSL_Applet_ar.ts \
    translations/UbuDSL_Applet_el.ts \
    translations/UbuDSL_Applet_es.ts \
    translations/UbuDSL_Applet_fr.ts \
    translations/UbuDSL_Applet_it.ts \
    translations/UbuDSL_Applet_pl.ts \
    translations/UbuDSL_Applet_ro.ts \
    translations/UbuDSL_Applet_ru.ts
QMAKE_LFLAGS += --as-needed
translations.files = $$replace(TRANSLATIONS, ".ts", ".qm")
translations.path = /opt/ubudsl/translations
message($$translations.files)
target.path = /opt/ubudsl/bin
shortcut.files = ubudsl_applet.desktop
shortcut.path = /usr/share/applications
images.files = images/*.gif
images.path = /opt/ubudsl/images
INSTALLS += target \
    applet \
    translations \
    shortcut
