#ifndef BUBBLE_H
#define BUBBLE_H

#include <QtGui>
#include "ui_Bubble.h"

class Bubble: public QWidget, public Ui::Bubble
{
    Q_OBJECT
public:
    Bubble( QWidget *parent = 0 );
    void resize( int w, int h );
public slots:
    virtual void hide();
    void showMessage( const QRect &trayIconGeometry, const QString &title, const QString &msg );
protected slots:
    virtual void mouseReleaseEvent( QMouseEvent *e );
    void autohide();
private:
    void resize( const QRect &trayIconGeometry );
    QTimer *m_autohideTimer;
};

#endif
