/*
 * File: Volume.cpp
 * Author: Adrian Łubik (2008)
 * License: GNU LGPL v3
 */

#include "Volume.h"

Volume::Volume( const QString device, const QString label, const QString udi )
        : m_device( device ),
        m_label( label ),
        m_udi( udi )
{
}

QString Volume::getDevice()
{
    return m_device;
}

QString Volume::getLabel()
{
    return m_label;
}

QString Volume::getUdi()
{
    return m_udi;
}
